IG User Live Media
Updated: Mar 3, 2025
Copy for LLM
Creating
This operation is not supported.
Reading
GET /{ig-user-id}/live_mediaLimitations
Only live video IG Media being broadcast at the time of the request will be returned.
Time-based Pagination
This endpoint supports time-based pagination. Include
since and until query-string paramaters with Unix timestamp or strtotime data values to define a time range.Requirements
| Type | Requirement |
|---|---|
Access Tokens | User |
instagram_basicpages_read_engagementIf the app user was granted a role via the Business Manager on the Page connected to the targeted IG User, you will also need one of: ads_managementads_read |
Request Syntax
GET https://graph.facebook.com/{api-version}/{ig-user-id}/live_media
?access_token={access-token}
Path Parameters
| Placeholder | Value |
|---|---|
{api-version}String | API version |
{ig-user-id}Required String | App user’s app-scoped user ID. |
Query String Parameters
| Key | Value |
|---|---|
access_tokenRequired String | App user’s User |
fieldsComma-separated list | Comma-separated list of IG Media fields you want returned for each live IG Media in the result set. |
sincetimestamp | A Unix timestamp or strtotime data value that points to the start of a range of time-based data. See time-based pagination. |
untiltimestamp | A Unix timestamp or strtotime data value that points to the end of a range of time-based data. See time-based pagination. |
Response
A JSON-formatted object containing the data you requested.
{ "data": [], "paging": {} }
Response Contents
| Property | Value |
|---|---|
data | |
paging | An object containing paging cursors and next/previous data set retrievial URLs. |
cURL Example
Request
curl -X GET \
'https://graph.facebook.com/v26.0/17841405822304914/live_media?fields=id,media_type,media_product_type,owner,username,comments&access_token=IGQVJ...'
Response
{ "id":"90010498116233", "media_type":"BROADCAST", "media_product_type":"LIVE", "owner":{ "id":"17841405822304914" }, "username":"jayposiris", "comments":{ "data":[ { "hidden": false, "id": "17907364514064687", "like_count": 0, "media": { "id": "17892642502701087" }, "text": "@jayposiris", "timestamp": "2021-08-17T21:23:07+0000", "username": "bztest0316_11", "from": { "id": "5895605157123796", "username": "bztest0316_11" } } ] } }
Updating
This operation is not supported.
Deleting
This operation is not supported.